Package net.rubygrapefruit.platform

# Interface PosixFileInfo

All Superinterfaces:
  `FileInfo`

All Known Implementing Classes:
  `FileStat`

public interface PosixFileInfo extends FileInfo
Provides some information about a file on a Posix file system. This is a snapshot and does not change.

A snapshot be fetched using `PosixFiles.stat(java.io.File)`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.FileInfo

`FileInfo.Type`

## Method Summary

Modifier and Type
Method
Description
`long`
`getBlockSize()`
Returns the optimal block size for reading or writing to this file, in bytes.
`int`
`getGid()`
Returns the GID of this file.
`long`
`getLastModifiedTime()`
Returns the last modification time of this file, in ms since epoch.
`int`
`getMode()`
Returns the mode, or permissions, of this file.
`int`
`getUid()`
Returns the UID of this file.

### Methods inherited from interface net.rubygrapefruit.platform.FileInfo

`getSize, getType`

## Method Details

### getMode

int getMode()
Returns the mode, or permissions, of this file.

### getUid

int getUid()
Returns the UID of this file.

### getGid

int getGid()
Returns the GID of this file.

### getBlockSize

long getBlockSize()
Returns the optimal block size for reading or writing to this file, in bytes.

### getLastModifiedTime

long getLastModifiedTime()
Returns the last modification time of this file, in ms since epoch.

Specified by:
  `getLastModifiedTime` in interface `FileInfo`